gnutls_anti_replay_set_window(3)

NAME
gnutls_anti_replay_set_window - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_anti_replay_set_window(gnutls_anti_replay_t anti_replay, unsigned int window);

ARGUMENTS

gnutls_anti_replay_t anti_replay
    is a gnutls_anti_replay_t type.

unsigned int window
    is the time window recording ClientHello, in milliseconds

DESCRIPTION
Sets the time window used for ClientHello recording. In order to protect against replay attacks, the server records ClientHello messages within this time period from the last update, and considers it a replay when a ClientHello outside of the period; if a ClientHello arrives within this period, the server checks the database and detects duplicates. For the details of the algorithm, see RFC 8446, section 8.2.

SINCE
3.6.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/